<?php
  session_start();
    if (!empty($_POST["btnacc"])){
      //echo "Boton presionado ";
      if(!empty($_POST["username"]) and !empty($_POST["password"])){
        $usuario=$_POST['username'];
        $password=$_POST['password'];
        //echo "Usuario= ".$usuario. " Password= ".$password;
        $_SESSION["id"]=0;       
         // if (mysqli_connect_errno($conexion)) {
         if (!$conexion){
            echo "<br>Fallo al conectar a MySQL:" . mysqli_connect_error();
          }else{
            //echo "<br>al parecer no hubo error ";
            $sql="SELECT * FROM usuario where usu='$usuario' and con='$password'";
            //echo "<br>".$sql;            
            $resultado = mysqli_query($conexion, $sql);
            $fila = mysqli_fetch_assoc($resultado);
            //echo "<br>id= ".$fila['id']." Usuario=".$fila['nombre'];          
            $_SESSION["id"]=$fila['idusu'];
          }
        if ($_SESSION["id"]<>0){
          $_SESSION["loggedin"] = TRUE;
          $_SESSION["name"] = $fila['nomusu'] . " " . $fila['apellidosusu'];
          $_SESSION["usu"] = $fila['usu'];          
          header("location: inicio.php");
        }else{
            echo "<div>Acceso denegado</div>";            
        }
      }else{
        echo "rellene ambos campos";        
      }
    }
?>